Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libvdpau
#Epoch:		0
Version:	0.4.1
Release:	2
License:	GNU/GPL
URL:		http://people.freedesktop.org/~aplattner/vdpau/
Group:		System/Libraries
Summary:	Wrapper library for the Video Decode and Presentation API
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:
BuildRequires:	xorg-x11-proto-devel
BuildRequires:  libX11-devel
BuildRequires:	libXext-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: pkg-config

%description
Wrapper library for the Video Decode and Presentation API


%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./autogen.sh
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libvdpau.so.*
%{_libdir}/vdpau/libvdpau_trace.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/vdpau/
%{_libdir}/libvdpau.so
%{_libdir}/libvdpau.la
%{_pkgconfig}/vdpau.pc
%{_libdir}/vdpau/libvdpau_trace.so
%{_libdir}/vdpau/libvdpau_trace.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.4.1-2
- rebuilt
* Thu Sep 09 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.4.1-1
- Version update
* Fri Jan 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.4-1
- Version update
* Sun Nov 22 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.3-1
- Version update
* Sat Sep 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.2-1
- initial CCux package release
